class DegreeDistribution:
    def __init__(self, network):
        """
        Computes the degree distribution of a network. Make sure that both degree 0 and the maximum degree
        are included!
        """
        # create a list to store the observations for each degree (including degree 0!)
        self.histogram = (network.max_degree() + 1) * [0]

        # increase corresponding degrees
        for node in network.nodes.values():
            self.histogram[node.degree()] += 1

        # normalize with amount of nodes in network
        self.normalised = [x / network.size() for x in self.histogram]
